Summary: Synchronizes system time using the Network Time Protocol (NTP).
Name: ntp
Version: 4.1.2
Release: 1
Group: System Environment/Daemons
Copyright: Distributable
Url: http://www.ntp.org/
Packager: Hao Li <hli@haoli.org>
Source0: http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-%{version}.tar.gz
Source1: ntpd.init
Source2: ntp.conf
Source3: step-tickers
BuildRoot: /var/tmp/%{name}-root

%description
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source. The ntp package contains
utilities and daemons that will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
The ntp package includes ntpdate (a program for retrieving the date
and time from remote machines via a network) and ntpd (a daemon which
continuously adjusts system time).

Install the ntp package if you need tools for keeping your system's
time synchronized via the NTP protocol.


%prep 
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --sysconfdir=/etc
make


%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

# Move all executables from /usr/bin to /usr/sbin
mv $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/sbin

mkdir -p $RPM_BUILD_ROOT/etc/{ntp,rc.d/init.d}
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ntpd
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/ntp.conf
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/ntp/step-tickers
touch $RPM_BUILD_ROOT/etc/ntp/keys; chmod 600 $RPM_BUILD_ROOT/etc/ntp/keys
echo 0 > $RPM_BUILD_ROOT/etc/ntp/drift


%post
/sbin/chkconfig --add ntpd

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del ntpd
fi


%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog* INSTALL NEWS NOTES* README* TODO WHERE-TO-START
%doc conf
%config /etc/rc.d/init.d/ntpd
%config /etc/ntp.conf
%dir /etc/ntp
%config(missingok) %verify(not md5 size mtime) /etc/ntp/step-tickers
%config %verify(not md5 size mtime) /etc/ntp/keys
%config %verify(not md5 size mtime) /etc/ntp/drift
/usr/sbin/*


%clean
rm -rf $RPM_BUILD_ROOT

